import { SET_AUCTION_VIEW_MODE } from '../constants/actionTypes.js';
import { AUCTION_VIEW_MODES } from '../constants/constants.js';

export const auctionView = (state = AUCTION_VIEW_MODES.ALL, action) => {
    switch (action.type) {
        case SET_AUCTION_VIEW_MODE:
            return action.payload;
        default:
            return state;
    }
};
